Bug 36107 - ReportBuilder: Background other than "color" non-functional
Summary: ReportBuilder: Background other than "color" non-functional
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Database-Reports-Builder-MAB
  Show dependency treegraph
 
Reported: 2011-04-09 23:38 UTC by pierre-yves samyn
Modified: 2019-05-14 02:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Chart in edit mode (27.07 KB, image/png)
2011-04-09 23:38 UTC, pierre-yves samyn
Details
Chart in open mode (7.10 KB, image/png)
2011-04-09 23:38 UTC, pierre-yves samyn
Details
Sample database (230.39 KB, application/vnd.sun.xml.base)
2011-04-09 23:39 UTC, pierre-yves samyn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2011-04-09 23:38:05 UTC
Created attachment 45449 [details]
Chart in edit mode

Hello

My environment: XP - 3.3.2 Libo
Reproduced on Vista

Steps to reproduce:

Database: Create a report with the report builder and include a diagram.
Set a background other than "color" to the chart wall or chart area (gradient, hatching, bitmaps).

OK in edit mode
Open or preview the report: the effect is lost, transformed into gray or black

View attachments and Gradient4_EditMode.png Gradient4_OpenMode.png


Note

However, some bitmap as "Fiery"  are well reproduced (see sample database attached)

Search through the bugs on "gradient" gives these results:
https: / / bugs.freedesktop.org / show_bug.cgi? id = 33591
https: / / bugs.freedesktop.org / show_bug.cgi? id = 35681

But as they seem more focused on transparency and "Presentation", I preferred to create another report ...

Cordially
Comment 1 pierre-yves samyn 2011-04-09 23:38:38 UTC
Created attachment 45450 [details]
Chart in open mode
Comment 2 pierre-yves samyn 2011-04-09 23:39:14 UTC
Created attachment 45451 [details]
Sample database
Comment 3 Zoltán Reizinger 2011-05-09 23:20:21 UTC
Same happens in OOo 3.4beta.
Comment 4 ribotb 2011-06-18 02:34:34 UTC
Hi, Pierre-Yves

I reproduce with LibO 341 (under Windows 7 SP1).

Bernard
Comment 5 Björn Michaelsen 2011-12-23 12:04:39 UTC Comment hidden (obsolete)
Comment 6 pierre-yves samyn 2011-12-24 03:40:03 UTC
Hello

Still persists with LOdev 3.5.0beta2+ Build ID: 62b9587-7ef74e0-7bf1c81

Worse, even the version that worked before no longer works.
Comment 7 Julien Nabet 2014-08-31 13:08:56 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

I noticed these kind of console logs:
warn:chart2:3317:1:chart2/source/view/main/PropertyMapper.cxx:117: Exception caught. Type: N3com3sun4star3uno9ExceptionE, Message: 
warn:svx.uno:3317:1:svx/source/svdraw/svdobj.cxx:3002: a UNO shape took over an SdrObject previously owned by another UNO shape!
warn:legacy.osl:3317:1:embeddedobj/source/general/docholder.cxx:1161: Just a disaster...
warn:dbaccess:3317:1:dbaccess/source/core/api/RowSetBase.cxx:211: ORowSetBase::getValue: Illegal call here (we're before first or after last)!
warn:dbaccess:3317:1:dbaccess/source/core/api/RowSetBase.cxx:1192: firePropertyChange: Exception on column 0
warn:dbaccess:3317:1:dbaccess/source/core/api/RowSetBase.cxx:211: ORowSetBase::getValue: Illegal call here (we're before first or after last)!
warn:dbaccess:3317:1:dbaccess/source/core/api/RowSetBase.cxx:1192: firePropertyChange: Exception on column 1
août 31, 2014 2:49:25 PM org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler startElement

I wonder if there could be different problems here.
Comment 8 Alex Thurgood 2015-01-03 17:40:42 UTC Comment hidden (no-value)
Comment 9 QA Administrators 2016-01-17 20:03:44 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT:

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-01-17
Comment 10 QA Administrators 2019-05-14 02:54:08 UTC
Dear pierre-yves samyn,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug